import '../../../../../../food_delivery_client.dart';

class ChangePasswordSuccessPassword extends StatelessWidget {
  const ChangePasswordSuccessPassword({super.key});

  void show(BuildContext context) {
    showModalBottomSheet(
      context: context,
      backgroundColor: AppColors.cTransparent,
      enableDrag: false,
      isDismissible: false,
      useSafeArea: false,
      builder: (context) => Wrap(children: [this]),
    );
  }

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: context.w,
      child: DecoratedBox(
        decoration: BoxDecoration(
          color: context.theme.scaffoldBackgroundColor,
          borderRadius: AppUtils.kBorderRadius30,
        ),
        child: SafeArea(
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              10.verticalSpace,
              SizedBox(
                height: 6,
                width: 60,
                child: DecoratedBox(
                  decoration: BoxDecoration(
                    color: AppColors.cDFE2EB,
                    borderRadius: AppUtils.kBorderRadius10,
                  ),
                ),
              ),
              54.verticalSpace,
              SizedBox(
                height: 162,
                width: 162,
                child: DecoratedBox(
                  decoration: BoxDecoration(
                    borderRadius: BorderRadius.circular(160),
                    color: context.appThemeColors.rippleColor.newWithOpacity(
                      .2,
                    ),
                  ),
                  child: Center(
                    child: SizedBox(
                      height: 103.74,
                      width: 103.74,
                      child: DecoratedBox(
                        decoration: BoxDecoration(
                          color: AppColors.cFF6F00,
                          borderRadius: BorderRadius.circular(100),
                        ),
                        child: Center(
                          child: SvgPicture.asset(AppIcons.icClock),
                        ),
                      ),
                    ),
                  ),
                ),
              ),
              54.verticalSpace,
              Text(
                context.loc.changePasswordSuccess,
                style: context.appThemeTextStyles.size24Bold,
                textAlign: TextAlign.center,
              ),
              14.verticalSpace,
              Text(
                context.loc.changePasswordMessage,
                style: context.appThemeTextStyles.size14Regular,
                textAlign: TextAlign.center,
              ),
              65.verticalSpace,
              AppButton(
                name: context.loc.login,
                onPressed: () {
                  context.go(Routes.login);
                },
              ),
              15.verticalSpace,
            ],
          ).paddingSymmetric(horizontal: 24),
        ),
      ),
    );
  }
}
